Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreTokenConfiguration<TToken, TApplication, TAuthorization, TKey>

Defines a relational mapping for the Token entity.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreTokenConfiguration<TToken, TApplication, TAuthorization, TKey>

###### Namespace: OpenIddict.EntityFrameworkCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreTokenConfiguration<TToken, TApplication, TAuthorization, TKey> : IEntityTypeConfiguration<TToken> where TToken : OpenIddictEntityFrameworkCoreToken<TKey, TApplication, TAuthorization> where TApplication : OpenIddictEntityFrameworkCoreApplication<TKey, TAuthorization, TToken> where TAuthorization : OpenIddictEntityFrameworkCoreAuthorization<TKey, TApplication, TToken> where TKey : IEquatable<TKey>

##### Type Parameters

Name | Description
--- | ---
TToken | The type of the Token entity.
TApplication | The type of the Application entity.
TAuthorization | The type of the Authorization entity.
TKey | The type of the Key entity.

### Methods

#### Configure(EntityTypeBuilder<TToken>)

##### Declaration

    public void Configure(EntityTypeBuilder<TToken> builder)

##### Parameters

Type | Name | Description
--- | --- | ---
EntityTypeBuilder<TToken> | builder |